# List metafield definition validations

> Retrieve a paginated list of metafield definition validations.
{/* generated:versioned-pages - edit _pm-authored, not this file */}

`GET /api/metafield_definition_validations`

Retrieves the collection of MetafieldDefinitionValidation resources.

Returns a paginated collection of metafield definition validations in the current organization.

## Query parameters

| Name           | Type      | Required | Description                  |
| -------------- | --------- | -------- | ---------------------------- |
| `page`         | `integer` | -        | The collection page number   |
| `itemsPerPage` | `integer` | -        | The number of items per page |

## Response

**200** - MetafieldDefinitionValidation collection

| Property     | Type                              | Required | Description |
| ------------ | --------------------------------- | -------- | ----------- |
| `totalItems` | `integer`                         | -        |             |
| `search`     | `object`                          | -        |             |
| `view`       | `object`                          | -        |             |
| `member`     | `MetafieldDefinitionValidation[]` | Yes      |             |

## Errors

**403** - Access denied. The caller is missing one or more identity permissions required for this operation.

| Property             | Type       | Required | Description                                                                                                                                |
| -------------------- | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| `@context`           | `object`   | -        |                                                                                                                                            |
| `@id`                | `string`   | Yes      |                                                                                                                                            |
| `@type`              | `string`   | Yes      |                                                                                                                                            |
| `type`               | `string`   | -        |                                                                                                                                            |
| `title`              | `string`   | -        |                                                                                                                                            |
| `status`             | `integer`  | -        |                                                                                                                                            |
| `detail`             | `string`   | -        |                                                                                                                                            |
| `missingPermissions` | `string[]` | -        | Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission. |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/api/metafield_definition_validations' \
  -H 'Authorization: Bearer {access_token}' \
  -H 'Flowkiwi-Api-Version: 2026-07' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/api/contexts/MetafieldDefinitionValidation",
  "@id": "/api/metafield_definition_validations",
  "@type": "Collection",
  "totalItems": 1,
  "member": [
    {
      "@context": "/api/contexts/MetafieldDefinitionValidation",
      "@id": "/api/metafield_definition_validations/019afe01-1a2b-7c3d-8e4f-0a1b2c3d4e5f",
      "@type": "MetafieldDefinitionValidation",
      "id": "019afe01-1a2b-7c3d-8e4f-0a1b2c3d4e5f",
      "metafieldDefinition": "/api/metafield_definitions/019afb01-1a2b-7c3d-8e4f-0a1b2c3d4e5f",
      "name": "/api/metafield_definition_validation_types/max_length",
      "value": "500"
    }
  ]
}
```
